#ifndef IWRITE_FILE_FOR_INHERITANCE_H
#define IWRITE_FILE_FOR_INHERITANCE_H
#include "IWriteFile.h"

namespace irr
{
namespace io
{

	class IWriteFile_ForInheritance : public IWriteFile
	{
	public:
		s32 write(const void* buffer, u32 sizeToWrite)
		{
			irr::core::array<unsigned char> arr;
			arr.set_pointer((unsigned char*)buffer, sizeToWrite);
			return write(arr.pointer(), sizeToWrite);
		}
		
		virtual s32 write(irr::core::array<unsigned char>* buffer, u32 sizeToWrite) = 0;
	};
}
}

#endif //IWRITE_FILE_FOR_INHERITANCE_H